


Summary:        A ssh-add helper that uses kwallet and kpassworddialog
Name:           ksshaskpass
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwallet-devel
BuildRequires:  kdoctools-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
A ssh-add helper that uses kwallet and kpassworddialog

%post
# Must match master ssh-askpass link locations in openssh-askpass (i.e. _libexecdir/openssh) to avoid breakage - TerryN
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_kf5_bindir}/%{name} 40
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kf5_bindir}/%{name} 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kf5_bindir}/%{name}
update-alternatives --remove bssh-askpass %{_kf5_bindir}/%{name}

%triggerin -- ksshaskpass < 0.5
update-alternatives --remove ssh-askpass %{_libdir}/ssh/%{name}
update-alternatives --remove bssh-askpass %{_libdir}/ssh/%{name}


%files
/*
#------------------------------------------------

%prep
%setup -q 


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

